package com.mortals.xhx.module.device.model.vo;

import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.DeviceEntity;

import java.util.ArrayList;
import java.util.List;

import com.mortals.xhx.module.device.model.DeviceFileEntity;
import com.mortals.xhx.module.device.model.DeviceWorkmanEntity;
import lombok.Data;
import com.mortals.framework.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 设备管理视图对象
 *
 * @author zxfei
 * @date 2023-12-04
 */
@Data
public class DeviceVo extends BaseEntityLong {

    /**
     * 主键ID，主键，自增长列表
     */
    private List<Long> idList;

    /**
     * 多个逗号分割
     */
    private String workmans;

    /**
     * 滚屏数量
     */
    private Integer scrollNum;

    private List<DeviceFileEntity> deviceFileEntityList;

    private List<DeviceWorkmanEntity> deviceWorkmanEntityList;


    /**
     * 抬头设置
     */
    private String lookUp;
    /**
     * 播放时间，单位秒
     */
    private Integer playTime;

}